import = function() end
luaunit = require("luaunit")
luaunit.ORDER_ACTUAL_EXPECTED = false

utils = require("utils")

function testFilter()
    local numArr = { 5, 10, 15, 20 }
    local greaterThanTen = function(n)
        return n > 10
    end
    luaunit.assertEquals({ 15, 20 }, utils.filter(numArr, greaterThanTen))
end

os.exit(luaunit.LuaUnit.run())
